public inbox for gentoo-dev@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-dev] [PATCH] Add deblob support only for python3
@ 2021-07-22 15:00 Alice
  2021-07-22 15:02 ` Michał Górny
                   ` (3 more replies)
  0 siblings, 4 replies; 46+ messages in thread
From: Alice @ 2021-07-22 15:00 UTC (permalink / raw
  To: Gentoo Development


[-- Attachment #1.1.1: Type: text/plain, Size: 1538 bytes --]


Signed-off-by: Alice Ferrazzi <alicef@gentoo.org>
---
  eclass/kernel-2.eclass | 13 +++++++++----
  1 file changed, 9 insertions(+), 4 deletions(-)

diff --git a/eclass/kernel-2.eclass b/eclass/kernel-2.eclass
index f94dd9c..05f8161 100644
--- a/eclass/kernel-2.eclass
+++ b/eclass/kernel-2.eclass
@@ -605,7 +605,7 @@ if [[ ${ETYPE} == sources ]]; then
                                 kernel_is le 2 6 ${DEBLOB_MAX_VERSION} && \
                                         K_DEBLOB_AVAILABLE=1
                 if [[ ${K_DEBLOB_AVAILABLE} == 1 ]]; then
-                       PYTHON_COMPAT=( python2_7 )
+                       PYTHON_COMPAT=( python3_{7..10} )

                         inherit python-any-r1

@@ -1489,9 +1489,14 @@ kernel-2_src_compile() {
         [[ ${ETYPE} == headers ]] && compile_headers

         if [[ ${K_DEBLOB_AVAILABLE} == 1 ]] && use deblob; then
-               einfo ">>> Running deblob script ..."
-               python_setup
-               sh "${T}/${DEBLOB_A}" --force || die "Deblob script 
failed to run!!!"
+               # deblob less than 5.10 require python 2.7
+               if kernel_is lt 5 10; then
+                       ewarn "we don't support deblob for kernel less 
then 5.10"
+               else
+                       einfo ">>> Running deblob script ..."
+                       python_setup
+                       sh "${T}/${DEBLOB_A}" --force || die "Deblob 
script failed to run!!!"
+               fi
         fi
  }

-- 
2.25.3

[-- Attachment #1.1.2: OpenPGP_0x1D6802D75C10FEF6.asc --]
[-- Type: application/pgp-keys, Size: 0 bytes --]

[-- Attachment #2: OpenPGP digital signature --]
[-- Type: application/pgp-signature, Size: 833 bytes --]

^ permalink raw reply related	[flat|nested] 46+ messages in thread
* [gentoo-dev] [PATCH] Add deblob support only for python3
@ 2021-07-23 10:18 Alice
  0 siblings, 0 replies; 46+ messages in thread
From: Alice @ 2021-07-23 10:18 UTC (permalink / raw
  To: Gentoo Development


[-- Attachment #1.1.1: Type: text/plain, Size: 967 bytes --]


Signed-off-by: Alice Ferrazzi <alicef@gentoo.org>
---
  eclass/kernel-2.eclass | 6 +++++-
  1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/eclass/kernel-2.eclass b/eclass/kernel-2.eclass
index f94dd9c..e3d556f 100644
--- a/eclass/kernel-2.eclass
+++ b/eclass/kernel-2.eclass
@@ -604,8 +604,12 @@ if [[ ${ETYPE} == sources ]]; then
                         [[ -z ${K_DEBLOB_AVAILABLE} ]] && \
                                 kernel_is le 2 6 ${DEBLOB_MAX_VERSION} && \
                                         K_DEBLOB_AVAILABLE=1
+               # deblob less than 5.10 require python 2.7
+               if kernel_is lt 5 10; then
+                       K_DEBLOB_AVAILABLE=0
+               fi
                 if [[ ${K_DEBLOB_AVAILABLE} == 1 ]]; then
-                       PYTHON_COMPAT=( python2_7 )
+                       PYTHON_COMPAT=( python3_{7..10} )

                         inherit python-any-r1

-- 
2.25.3

[-- Attachment #1.1.2: OpenPGP_0x1D6802D75C10FEF6.asc --]
[-- Type: application/pgp-keys, Size: 0 bytes --]

[-- Attachment #2: OpenPGP digital signature --]
[-- Type: application/pgp-signature, Size: 833 bytes --]

^ permalink raw reply related	[flat|nested] 46+ messages in thread

end of thread, other threads:[~2021-07-28  4:06 UTC | newest]

Thread overview: 46+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-07-22 15:00 [gentoo-dev] [PATCH] Add deblob support only for python3 Alice
2021-07-22 15:02 ` Michał Górny
2021-07-22 15:21   ` Alice
2021-07-22 15:25     ` Alice
2021-07-22 15:24   ` Alice
2021-07-22 15:43     ` Michał Górny
2021-07-22 15:47       ` Alice
2021-07-22 17:29         ` Michał Górny
2021-07-22 17:56           ` Alice
2021-07-22 18:08             ` David Seifert
2021-07-22 18:23               ` Alice
2021-07-22 19:44                 ` David Seifert
2021-07-22 21:04 ` Ulrich Mueller
2021-07-23 10:24   ` Alice
2021-07-23 11:29     ` Ulrich Mueller
2021-07-23 11:44       ` Alice
2021-07-23 12:41         ` Michał Górny
2021-07-23 12:53           ` Alice
2021-07-23 12:52         ` Ulrich Mueller
2021-07-23 13:03           ` Alice
2021-07-23 13:49             ` Ulrich Mueller
2021-07-23 16:43               ` Alice
2021-07-23 16:45                 ` Alice
2021-07-23 16:50                   ` Alice
2021-07-23 16:53                     ` Alice
2021-07-23 18:21                       ` Ulrich Mueller
2021-07-24  1:34                         ` alicef
2021-07-24  6:30                           ` Ulrich Mueller
2021-07-24 16:52                             ` Alice
2021-07-24 16:56                               ` Michał Górny
2021-07-24 16:57                                 ` Alice
2021-07-24 17:28                                   ` Michał Górny
2021-07-24 17:33                                     ` Alice
2021-07-24 18:15                                       ` Andreas K. Huettel
2021-07-24 19:54                                         ` Mike
2021-07-23 18:41         ` Andreas K. Huettel
2021-07-24  1:37           ` alicef
2021-07-23 17:11       ` Alessandro Barbieri
2021-07-23 17:18         ` Sam James
2021-07-25 22:10 ` Peter Stuge
2021-07-25 23:17   ` Sam James
2021-07-26  0:14     ` Peter Stuge
2021-07-25 23:19 ` Sam James
2021-07-26 15:01   ` Joshua Kinard
2021-07-28  4:06     ` Sam James
  -- strict thread matches above, loose matches on Subject: below --
2021-07-23 10:18 Alice

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox